Subject: GuixSD: cryptsetup luksFormat hangs when udevd is running

From: Benz Schenk <[email-masked]>
Date: Fri, 12 Jun 2015 00:52:43 +0200

Setting up luks encrypted partitions with cryptsetup doesn't work when udevd is running.

cryptsetup luksFormat got stuck waiting on some semaphore to turn to zero

According to http://www.saout.de/pipermail/dm-crypt/2013-November/003619.html this is a udev issue, so i killed udevd and after that it worked

I assume it's some configuration issue with udev, but I don't really know enough about this stuff to pinpoint where exactly the problem lies

I'm using the GuixSD 0.8.2 image, if you need any more information about my setup, feel free to ask

Benz